Last Comment Bug 792392 - No special icon for secure connection in folder pane on linux
: No special icon for secure connection in folder pane on linux
Status: VERIFIED FIXED
duptome
:
Product: Thunderbird
Classification: Client Software
Component: Folder and Message Lists (show other bugs)
: 17 Branch
: x86_64 Linux
: -- normal (vote)
: Thunderbird 19.0
Assigned To: Andreas Nilsson (:andreasn)
:
Mentors:
Depends on:
Blocks: 789883
  Show dependency treegraph
 
Reported: 2012-09-19 06:19 PDT by Martin Schuster
Modified: 2012-10-29 03:03 PDT (History)
10 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed
fixed


Attachments
Screenshot of secure icon on Mac (3.80 KB, image/png)
2012-09-19 06:19 PDT, Martin Schuster
no flags Details
Screenshot of no secure icon on Linux (2.62 KB, image/png)
2012-09-19 06:20 PDT, Martin Schuster
no flags Details
patch to fix the issue (10.62 KB, patch)
2012-10-08 12:37 PDT, Andreas Nilsson (:andreasn)
no flags Details | Diff | Review
patch to fix the issue (v2) (10.42 KB, patch)
2012-10-08 12:42 PDT, Andreas Nilsson (:andreasn)
mconley: review+
richard.marti: ui‑review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Review
Fix the issue (1.20 KB, patch)
2012-10-25 09:13 PDT, Richard Marti (:Paenglab)
mconley: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Review

Description Martin Schuster 2012-09-19 06:19:58 PDT
Created attachment 662524 [details]
Screenshot of secure icon on Mac

I've set up an IMAP/SSL connection. This should result in a "secure connection" icon in the folder pane (like in the first attachment, screenshot by Ludovic Hirlimann), but doesn't (see second attachment)

TB 17.0a2 running on RHEL5/x86-64

Mozilla/5.0 (X11; Linux i686 on x86_64; rv:17.0) Gecko/17.0 Thunderbird/17.0a2
ID:20120918042014
Comment 1 Martin Schuster 2012-09-19 06:20:38 PDT
Created attachment 662525 [details]
Screenshot of no secure icon on Linux
Comment 2 Vincent (caméléon) 2012-09-19 14:12:58 PDT
Works for me on Win7.
Is there any other linux user which could confirm the issue on Linux?
Comment 3 Martin Schuster 2012-09-19 23:46:02 PDT
I tried this on a completely different machine (running Debian wheezy, LXDE) and another IMAP-server (running on localhost), still no special icon. I've restarted TB, and also made sure that SSL is used:

$ netstat -tpn | grep thunder
tcp6       0      0 ::1:33802               ::1:993                 ESTABLISHED 9521/thunderbird
tcp6       0      0 ::1:33803               ::1:993                 ESTABLISHED 9521/thunderbird
Comment 4 Martin Schuster 2012-09-19 23:51:12 PDT
Could someone tell me the filename of the icon that's supposed to show up?

I just tried to start TB via strace,
$ strace -efile -o st.log -f -a 60 ./thunderbird
and then looked for the missing icon,
$ grep ENOENT st.log | grep -i icon | egrep -i '(secu|ssl|enc|lock|prot)'
but nothing came up.
Comment 5 Ludovic Hirlimann [:Usul] 2012-09-21 00:08:56 PDT
Andreas can you confirm ?
Comment 6 Andreas Nilsson (:andreasn) 2012-09-21 05:02:26 PDT
Yes, if I recall correctly we don't have a specific security folder on Linux. Taking a step back, what function does the icon serve exactly and is a tiny padlock the best way to indicate the security of an account? Are there other ways we can indicate this?
Comment 7 Vincent (caméléon) 2012-09-21 05:07:41 PDT
as Firefox also use a padlock for secure website, it makes sens to use the same convention.
Comment 8 Andreas Nilsson (:andreasn) 2012-09-21 05:35:00 PDT
This is also the case on Windows it seems and the graphics is pretty much there already, so patch coming shortly.
Comment 9 Wayne Mery (:wsmwk, NI for questions) 2012-09-25 09:50:26 PDT
next step is bug 448723 :)
Comment 10 Ludovic Hirlimann [:Usul] 2012-09-26 01:44:43 PDT
(In reply to Andreas Nilsson (:andreasn) from comment #8)
> This is also the case on Windows it seems and the graphics is pretty much
> there already, so patch coming shortly.

I'm going to assign you to this so you don't forget :-)
Comment 11 Andreas Nilsson (:andreasn) 2012-09-26 06:41:12 PDT
:)
Comment 12 Andreas Nilsson (:andreasn) 2012-10-08 12:37:11 PDT
Created attachment 669223 [details] [diff] [review]
patch to fix the issue
Comment 13 Andreas Nilsson (:andreasn) 2012-10-08 12:42:36 PDT
Created attachment 669227 [details] [diff] [review]
patch to fix the issue (v2)
Comment 14 Richard Marti (:Paenglab) 2012-10-09 05:09:15 PDT
Comment on attachment 669227 [details] [diff] [review]
patch to fix the issue (v2)

This looks good.

Only one note
Why add new icons on folder-pane.png when they already exist in server.png? I know they are looking different but you could update this file and change the rules to this file. For me it would be make more sense when the rule is: [IsServer="true"] then use server.png, like it's already for nntp.

This is only my opinion and the patch is doing what it should, so ui-r+
Comment 15 Mike Conley (:mconley) - (needinfo me!) 2012-10-10 10:50:52 PDT
Comment on attachment 669227 [details] [diff] [review]
patch to fix the issue (v2)

Review of attachment 669227 [details] [diff] [review]:
-----------------------------------------------------------------

Code looks good. Thanks Andreas!
Comment 16 Ryan VanderMeulen [:RyanVM] 2012-10-10 17:59:40 PDT
https://hg.mozilla.org/comm-central/rev/81c5757e2e54
Comment 17 Mark Banner (:standard8) 2012-10-16 09:20:44 PDT
Comment on attachment 669227 [details] [diff] [review]
patch to fix the issue (v2)

[Triage Comment]
We should take this forward to 17, as it is an issue there currently.
Comment 18 :aceman 2012-10-22 01:01:37 PDT
Before you land this on TB17, please check this out:
For me on TB19 (trunk) all mail account icons changed to the new icon with lock. All my accounts are NOT secure: Connection security = None, Authentication = Password, transmitted insecurely.
Comment 19 :aceman 2012-10-22 01:02:23 PDT
Please tell me what to test to determine if the problem is in the patch on my profile.
Comment 20 :aceman 2012-10-22 01:02:49 PDT
... or my profile.
Comment 21 Andreas Nilsson (:andreasn) 2012-10-23 10:29:49 PDT
Switching the security from SSH/SSL to None does indeed not change the icon, so I think you're right.
Does this work as expected on Windows and OSX?
Comment 22 Richard Marti (:Paenglab) 2012-10-23 10:35:05 PDT
On Win7 this changes the icon.
Comment 23 :aceman 2012-10-23 11:40:33 PDT
Yes, it works for me fine on Win XP (TB trunk).
Comment 24 Mark Banner (:standard8) 2012-10-25 06:55:59 PDT
Comment on attachment 669227 [details] [diff] [review]
patch to fix the issue (v2)

Removing approvals until we get this fixed. I would like to get it fixed asap so that it'll work properly in TB 17.
Comment 25 Richard Marti (:Paenglab) 2012-10-25 09:13:42 PDT
Created attachment 675153 [details] [diff] [review]
Fix the issue

This patch fixes the issue there also insecure connections are shown as secure.
Comment 26 Mike Conley (:mconley) - (needinfo me!) 2012-10-25 11:48:03 PDT
Comment on attachment 675153 [details] [diff] [review]
Fix the issue

Yes, this is right, thank you!
Comment 27 Richard Marti (:Paenglab) 2012-10-25 12:19:57 PDT
Comment on attachment 675153 [details] [diff] [review]
Fix the issue

[Approval Request Comment]
Regarding comment 24 the patch and this fix are desired for TB 17
Comment 28 Ryan VanderMeulen [:RyanVM] 2012-10-25 14:45:50 PDT
https://hg.mozilla.org/comm-central/rev/b738597de59f

(Assuming this gets branch approval, I can qfold these two patches into one for checkin)
Comment 29 Mark Banner (:standard8) 2012-10-26 04:23:43 PDT
Comment on attachment 669227 [details] [diff] [review]
patch to fix the issue (v2)

a=me for both patches now that the issue is fixed.
Comment 30 :aceman 2012-10-26 13:07:02 PDT
Confirming this works correctly on Linux in todays trunk.

Note You need to log in before you can comment on or make changes to this bug.